<bugID>1249557<Summary>Display grid numbers for lines in the css grid inspector</Summary><Description>The main goal of bug 1181227 is to display grid lines in a css grid container.
But it's also very important to display the names of lines, because that's an information that's used when positioning elements.
So if the names of lines would appear on the overlay, this would be very helpful.

This is complex because of the number of names a line can have is potentially high.

- A line has an index, that's not a name per say, but should be displayed along with the other names too
- Items can also be positioned with negative indexes, so on top of showing the 1...N numbers, this should also show the -1...-N numbers
- A line can be given 1 or more custom names
- Lines wrapping areas are given automatic names &lt;area-name&gt;-start and &lt;area-name&gt;-end
- Line names don't only come from the grid definition css properties. Implicit lines can be created by positioning an item at a line with a name that does not exists yet. These implicit names should appear too</Description></bugID>